sc::DistSCMatrixKit(3)

NAME
sc::DistSCMatrixKit -

The DistSCMatrixKit produces matrices that work in a many processor environment'.

SYNOPSIS

#include <dist.h>

Inherits sc::SCMatrixKit'.

  Public Member Functions
DistSCMatrixKit (const Ref< MessageGrp > &grp=0)
DistSCMatrixKit (const Ref< KeyVal > &)
SCMatrix * matrix (const RefSCDimension &, const RefSCDimension &)
Given the dimensions, create matrices or vectors'.
SymmSCMatrix * symmmatrix (const RefSCDimension &)
DiagSCMatrix * diagmatrix (const RefSCDimension &)
SCVector * vector (const RefSCDimension &)

Detailed Description

The DistSCMatrixKit produces matrices that work in a many processor environment'. The matrix is distributed across all nodes'.

Author

Generated automatically by Doxygen for MPQC from the source code'.